Skip to main content
POST
/
api
/
v2
/
external
/
storage
/
upload
Upload File
curl --request POST \
  --url https://api.example.com/api/v2/external/storage/upload \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>'
import requests

url = "https://api.example.com/api/v2/external/storage/upload"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {"Content-Type": "multipart/form-data"}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST'};

options.body = form;

fetch('https://api.example.com/api/v2/external/storage/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "<string>",
  "size": 123,
  "etag": "<string>",
  "message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

key
string | null

Body

multipart/form-data
file
string
required

Response

Successful Response

key
string
required
size
integer
required
etag
string
required
message
string
required